Bug 497821 - btrfsck crashing (after BTRFS destroyed my /var :()
btrfsck crashing (after BTRFS destroyed my /var :()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 08:34 EDT by Matěj Cepl
Modified: 2018-04-11 14:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-04-27 08:34:03 EDT
Description of problem:
Core was generated by `btrfsck /dev/dm-5'.
Program terminated with signal 6, Aborted.
#0  0x00000035856334f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

Thread 1 (Thread 1439):
#0  0x00000035856334f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003585634d6a in *__GI_abort () at abort.c:88
#2  0x000000358562c33a in *__GI___assert_fail (
    assertion=0x41b6a5 "!(!tree_root->node)", file=<value optimized out>, 
    line=663, function=0x41b781 "open_ctree_fd") at assert.c:78
#3  0x000000000040b6d1 in open_ctree_fd (fp=<value optimized out>, 
    path=<value optimized out>, sb_bytenr=<value optimized out>, 
    writes=<value optimized out>) at disk-io.c:663
#4  0x000000000040b7a5 in open_ctree (filename=0x7fff4adb2963 "/dev/dm-5", 
    sb_bytenr=0, writes=0) at disk-io.c:535
#5  0x0000000000404dd4 in main (ac=<value optimized out>, av=0x7fff4adb1518)
    at btrfsck.c:2076
Current language:  auto; currently minimal


Version-Release number of selected component (if applicable):
btrfs-progs-0.18-4.fc11.x86_64

How reproducible:
100% (tried three times)

Steps to Reproduce:
1.let BTRFS crash hard
2.run btrfsck
3.
  
Actual results:
btrfsck crashing and lost /var partition

Expected results:
fixed /var partition

Additional info:
I think I will rather stay with ext4 on my computer ;-) (if you are interested in 10GB non-compressed image of the partition, I can provide it/made it accessible to you)
Comment 1 Josef Bacik 2009-04-27 08:42:39 EDT
Hehe sorry, it seems you've hit every gotcha with btrfs.  I will let you know when its safe to try it again.  In the meantime I will fix this bug.  Thank you.
Comment 2 Matěj Cepl 2009-04-27 12:25:04 EDT
The image is 6.1GB bzipped ... I guess remote access to my computer would be the most convenient.
Comment 3 Matěj Cepl 2009-04-29 06:01:16 EDT
Considering comment 1 as prove of being triaged.
Comment 4 Bug Zapper 2009-06-09 10:39:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:57:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:14:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.